Unable to load php_mascript.so

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

Unable to load php_mascript.so

alexander-petkov
After upgrading to Mapserver 6.0.0, I am unable to load the new
php_mapscript.so extension either from php.ini or my php file where I
use mapscript.

The attempt produces the following error output:

PHP Warning:  PHP Startup: Unable to load dynamic library
'/usr/lib/php/modules/php_mapscript.so' -
/usr/lib/php/modules/php_mapscript.so: undefined symbol:
zval_set_isref_p in Unknown on line 0

Removing the zval_set_isref_p references in php_mapscript_util.c and
php_mapscript_util.h helps with loading the extension, but then GetMap
requests end up with missing tiles in OpenLayers.

The environment is CentOS 4 with PHP Version 5.2.0, and Apache 2.0

Any ideas?

Thanks in advance,
Alex
_______________________________________________
mapserver-users mailing list
[hidden email]
http://lists.osgeo.org/mailman/listinfo/mapserver-users